PHP composer para desarrolladores

¿Alguna vez has querido corregir un bug a un paquete de Composer? ¡Usted puede!

Instalacion de Laravel 5.4

Para poder trabajar con Laravel debes tener conocimientos de PHP. Actualmente hay dos versiones activas de Laravel. La versión 5.1 que es de LTS (Soporte de Largo tiempo), es decir que se va mantener por mucho tiempo, con actualizaciones hasta Junio del 2017 y arreglos de seguridad hasta Junio del 2018, Y la otra versión, la 5.4 solo por un año. La empresas elijen las versiones utilizan por lo general las versiones LTS, ya que tienen soporte de errores por mucho tiempo. Si quieres tener las caracterísicas nuevas, es recomendable que uses la versión 5,4. Pueden consultar la documentación de las versiones de Laravel. Aquí voy a cubrir la instalación de la versión 5.4, de todos modos el procedimiento es muy similar.

Cómo instalar en Ubuntu Linux Nginx, MySQL, PHP (LEMP)

Preparar

Los pasos de este tutorial requieren que el usuario tenga privilegios de root

Paso 1: Actualización Apt-Get

A lo largo de este artículo voy a usar apt-get como un instalador para todos los programas del servidor. Siempre se descubren vulnerabilidades en los programas que utilizamos, por lo que es importante que descarguemos todo el software actualizado para proteger el servidor. Leer Más